<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="en__trigger__type_8h" kind="file" language="C++">
    <compoundname>en_trigger_type.h</compoundname>
      <sectiondef kind="enum">
      <memberdef id="group__group__trigmux__in__enums_1ga076b057cb15c04d7b20449249e488fcd" kind="enum" prot="public" static="no">
        <name>en_trig_input_pdma0_tr_t</name>
        <briefdescription>
<para><bold>en_trig_input_pdma0_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #0 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="43" bodyfile="mainpage/en_trigger_type.h" bodystart="43" column="1" file="mainpage/en_trigger_type.h" line="43" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga7b9a2e9eda044ba8cd52209130bff6ff" kind="enum" prot="public" static="no">
        <name>en_trig_input_pdma1_tr_t</name>
        <briefdescription>
<para><bold>en_trig_input_pdma1_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #1 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="48" bodyfile="mainpage/en_trigger_type.h" bodystart="48" column="1" file="mainpage/en_trigger_type.h" line="48" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1gabf8123d781309a7647c9f1257b2db1ae" kind="enum" prot="public" static="no">
        <name>en_trig_input_tcpwm0_t</name>
        <briefdescription>
<para><bold>en_trig_input_tcpwm0_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #2 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="53" bodyfile="mainpage/en_trigger_type.h" bodystart="53" column="1" file="mainpage/en_trigger_type.h" line="53" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga2bbc860297a9cc7991db9310803f0fd2" kind="enum" prot="public" static="no">
        <name>en_trig_input_tcpwm1_t</name>
        <briefdescription>
<para><bold>en_trig_input_tcpwm1_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #3 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="58" bodyfile="mainpage/en_trigger_type.h" bodystart="58" column="1" file="mainpage/en_trigger_type.h" line="58" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1gac1e13ed93b66e791f6b9e99b8607a30d" kind="enum" prot="public" static="no">
        <name>en_trig_input_hsiom_t</name>
        <briefdescription>
<para><bold>en_trig_input_hsiom_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #4 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="63" bodyfile="mainpage/en_trigger_type.h" bodystart="63" column="1" file="mainpage/en_trigger_type.h" line="63" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga0c1e803e9915bd8968fdbeb703737fa8" kind="enum" prot="public" static="no">
        <name>en_trig_input_cpuss_cti_t</name>
        <briefdescription>
<para><bold>en_trig_input_cpuss_cti_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #5 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="68" bodyfile="mainpage/en_trigger_type.h" bodystart="68" column="1" file="mainpage/en_trigger_type.h" line="68" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1gabad647cab89645447f6d218a15358325" kind="enum" prot="public" static="no">
        <name>en_trig_input_mdma_t</name>
        <briefdescription>
<para><bold>en_trig_input_mdma_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #6 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="73" bodyfile="mainpage/en_trigger_type.h" bodystart="73" column="1" file="mainpage/en_trigger_type.h" line="73" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1gaa3d74234542373120fef5e673dd518d8" kind="enum" prot="public" static="no">
        <name>en_trig_input_peri_freeze_t</name>
        <briefdescription>
<para><bold>en_trig_input_peri_freeze_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #7 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="78" bodyfile="mainpage/en_trigger_type.h" bodystart="78" column="1" file="mainpage/en_trigger_type.h" line="78" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga8778ee28afa6c40678d17f9ed71aa2c7" kind="enum" prot="public" static="no">
        <name>en_trig_input_csd_t</name>
        <briefdescription>
<para><bold>en_trig_input_csd_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #8 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="83" bodyfile="mainpage/en_trigger_type.h" bodystart="83" column="1" file="mainpage/en_trigger_type.h" line="83" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga8d9138c707fcf2bf6b481deccccbb4b3" kind="enum" prot="public" static="no">
        <name>en_trig_input_sar_adc_start_t</name>
        <briefdescription>
<para><bold>en_trig_input_sar_adc_start_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #9 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="88" bodyfile="mainpage/en_trigger_type.h" bodystart="88" column="1" file="mainpage/en_trigger_type.h" line="88" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1gaa5d986e829fa173a35e4db35af5d2d0c" kind="enum" prot="public" static="no">
        <name>en_trig_output_pdma0_tr_t</name>
        <briefdescription>
<para><bold>en_trig_output_pdma0_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #0 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="101" bodyfile="mainpage/en_trigger_type.h" bodystart="101" column="1" file="mainpage/en_trigger_type.h" line="101" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1gab2ae3f7239f51084541d2c7b36741f8f" kind="enum" prot="public" static="no">
        <name>en_trig_output_pdma1_tr_t</name>
        <briefdescription>
<para><bold>en_trig_output_pdma1_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #1 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="106" bodyfile="mainpage/en_trigger_type.h" bodystart="106" column="1" file="mainpage/en_trigger_type.h" line="106" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1gae053a6b0e446f2f40154db38ddb01f1d" kind="enum" prot="public" static="no">
        <name>en_trig_output_tcpwm0_t</name>
        <briefdescription>
<para><bold>en_trig_output_tcpwm0_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #2 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="111" bodyfile="mainpage/en_trigger_type.h" bodystart="111" column="1" file="mainpage/en_trigger_type.h" line="111" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1ga67837680ecb10aaf8745b8c695df4214" kind="enum" prot="public" static="no">
        <name>en_trig_output_tcpwm1_t</name>
        <briefdescription>
<para><bold>en_trig_output_tcpwm1_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #3 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="116" bodyfile="mainpage/en_trigger_type.h" bodystart="116" column="1" file="mainpage/en_trigger_type.h" line="116" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1gadaaa85478707dbd42cb9defa95e01af6" kind="enum" prot="public" static="no">
        <name>en_trig_output_hsiom_t</name>
        <briefdescription>
<para><bold>en_trig_output_hsiom_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #4 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="121" bodyfile="mainpage/en_trigger_type.h" bodystart="121" column="1" file="mainpage/en_trigger_type.h" line="121" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1ga107f9ad6b5a6658b9c07cfa30369d0f6" kind="enum" prot="public" static="no">
        <name>en_trig_output_cpuss_cti_t</name>
        <briefdescription>
<para><bold>en_trig_output_cpuss_cti_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #5 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="126" bodyfile="mainpage/en_trigger_type.h" bodystart="126" column="1" file="mainpage/en_trigger_type.h" line="126" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1ga1d3b8f74ad52ef080e9c3d73e7785880" kind="enum" prot="public" static="no">
        <name>en_trig_output_mdma_t</name>
        <briefdescription>
<para><bold>en_trig_output_mdma_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #6 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="131" bodyfile="mainpage/en_trigger_type.h" bodystart="131" column="1" file="mainpage/en_trigger_type.h" line="131" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1ga2f3ab742ac985850d06d7e3cfbbb65c9" kind="enum" prot="public" static="no">
        <name>en_trig_output_peri_freeze_t</name>
        <briefdescription>
<para><bold>en_trig_output_peri_freeze_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #7 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="136" bodyfile="mainpage/en_trigger_type.h" bodystart="136" column="1" file="mainpage/en_trigger_type.h" line="136" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1ga5abd57dc48b69643874ebd51ecd785ac" kind="enum" prot="public" static="no">
        <name>en_trig_output_csd_t</name>
        <briefdescription>
<para><bold>en_trig_output_csd_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #8 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="141" bodyfile="mainpage/en_trigger_type.h" bodystart="141" column="1" file="mainpage/en_trigger_type.h" line="141" />
      </memberdef>
      <memberdef id="group__group__trigmux__out__enums_1ga175baafc6d62359a3c71a3ed7efa4163" kind="enum" prot="public" static="no">
        <name>en_trig_output_sar_adc_start_t</name>
        <briefdescription>
<para><bold>en_trig_output_sar_adc_start_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #9 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="146" bodyfile="mainpage/en_trigger_type.h" bodystart="146" column="1" file="mainpage/en_trigger_type.h" line="146" />
      </memberdef>
      <memberdef id="group__group__trigmux__1to1__enums_1ga2e0ff30043e8220ba96ac8d73f831d43" kind="enum" prot="public" static="no">
        <name>en_trig_output_1to1_scb_pdma0_tr_t</name>
        <briefdescription>
<para><bold>en_trig_output_1to1_scb_pdma0_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a one-to-one trigger group #0 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>/<ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="160" bodyfile="mainpage/en_trigger_type.h" bodystart="160" column="1" file="mainpage/en_trigger_type.h" line="160" />
      </memberdef>
      <memberdef id="group__group__trigmux__1to1__enums_1ga423806c804d21aae3707d9227d8102d7" kind="enum" prot="public" static="no">
        <name>en_trig_output_1to1_scb_pdma1_tr_t</name>
        <briefdescription>
<para><bold>en_trig_output_1to1_scb_pdma1_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a one-to-one trigger group #1 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>/<ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="165" bodyfile="mainpage/en_trigger_type.h" bodystart="165" column="1" file="mainpage/en_trigger_type.h" line="165" />
      </memberdef>
      <memberdef id="group__group__trigmux__1to1__enums_1ga0e136a305cfbf0583b63e22694e0b8d6" kind="enum" prot="public" static="no">
        <name>en_trig_output_1to1_sar_to_pdma0_t</name>
        <briefdescription>
<para><bold>en_trig_output_1to1_sar_to_pdma0_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a one-to-one trigger group #2 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>/<ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="170" bodyfile="mainpage/en_trigger_type.h" bodystart="170" column="1" file="mainpage/en_trigger_type.h" line="170" />
      </memberdef>
      <memberdef id="group__group__trigmux__1to1__enums_1ga075c7d257be36f20ad981ecc71a36af1" kind="enum" prot="public" static="no">
        <name>en_trig_output_1to1_smif_to_pdma1_t</name>
        <briefdescription>
<para><bold>en_trig_output_1to1_smif_to_pdma1_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a one-to-one trigger group #3 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>/<ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="175" bodyfile="mainpage/en_trigger_type.h" bodystart="175" column="1" file="mainpage/en_trigger_type.h" line="175" />
      </memberdef>
      <memberdef id="group__group__trigmux__1to1__enums_1gac565f69720d567dceadcaf895906af63" kind="enum" prot="public" static="no">
        <name>en_trig_output_1to1_audioss_pdma1_tr_t</name>
        <briefdescription>
<para><bold>en_trig_output_1to1_audioss_pdma1_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a one-to-one trigger group #4 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>/<ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="180" bodyfile="mainpage/en_trigger_type.h" bodystart="180" column="1" file="mainpage/en_trigger_type.h" line="180" />
      </memberdef>
      <memberdef id="group__group__trigmux__1to1__enums_1gafedba67588894f89216eb32762f4e080" kind="enum" prot="public" static="no">
        <name>en_trig_output_1to1_usb_pdma0_tr_t</name>
        <briefdescription>
<para><bold>en_trig_output_1to1_usb_pdma0_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a one-to-one trigger group #5 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>/<ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="185" bodyfile="mainpage/en_trigger_type.h" bodystart="185" column="1" file="mainpage/en_trigger_type.h" line="185" />
      </memberdef>
      <memberdef id="group__group__trigmux__1to1__enums_1ga22d54a24d570396f8387a4c7c086877f" kind="enum" prot="public" static="no">
        <name>en_trig_output_1to1_usb_pdma0_ack_tr_t</name>
        <briefdescription>
<para><bold>en_trig_output_1to1_usb_pdma0_ack_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a one-to-one trigger group #6 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>/<ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>, <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="190" bodyfile="mainpage/en_trigger_type.h" bodystart="190" column="1" file="mainpage/en_trigger_type.h" line="190" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__in__enums_1ga12c31375190bc0514087329459a98c75" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp9_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp9_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #9 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="203" bodyfile="mainpage/en_trigger_type.h" bodystart="203" column="1" file="mainpage/en_trigger_type.h" line="203" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__in__enums_1ga986ffa0c3771f4d50a6dd56f08715e38" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp10_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp10_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #10 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="208" bodyfile="mainpage/en_trigger_type.h" bodystart="208" column="1" file="mainpage/en_trigger_type.h" line="208" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__in__enums_1ga4371dee9d2673a49cd958fa20d80ea57" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp11_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp11_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #11 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="213" bodyfile="mainpage/en_trigger_type.h" bodystart="213" column="1" file="mainpage/en_trigger_type.h" line="213" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__in__enums_1ga28f2e8d127108d1e6c0b28a3dbae8952" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp12_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp12_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #12 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="218" bodyfile="mainpage/en_trigger_type.h" bodystart="218" column="1" file="mainpage/en_trigger_type.h" line="218" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__in__enums_1ga6235aceb9decb5b4a876258fd493ca55" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp13_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp13_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #13 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="223" bodyfile="mainpage/en_trigger_type.h" bodystart="223" column="1" file="mainpage/en_trigger_type.h" line="223" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__in__enums_1ga94e34b021e546998b3652898e741d749" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp14_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp14_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #14 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="228" bodyfile="mainpage/en_trigger_type.h" bodystart="228" column="1" file="mainpage/en_trigger_type.h" line="228" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__out__enums_1gadeadf10e4115dcbdbc126c4874b923f8" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp9_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp9_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #9 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="241" bodyfile="mainpage/en_trigger_type.h" bodystart="241" column="1" file="mainpage/en_trigger_type.h" line="241" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__out__enums_1ga47c65d0dba7e53d53ea15b427299cb71" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp10_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp10_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #10 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="246" bodyfile="mainpage/en_trigger_type.h" bodystart="246" column="1" file="mainpage/en_trigger_type.h" line="246" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__out__enums_1ga4575cc74a26d492459a7c64585d71e8d" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp11_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp11_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #11 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="251" bodyfile="mainpage/en_trigger_type.h" bodystart="251" column="1" file="mainpage/en_trigger_type.h" line="251" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__out__enums_1gae96bd57a382dfba4ef5a07eac09e548e" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp12_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp12_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #12 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="256" bodyfile="mainpage/en_trigger_type.h" bodystart="256" column="1" file="mainpage/en_trigger_type.h" line="256" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__out__enums_1gab62578d32fbe9b3db527cadb62fc7b83" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp13_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp13_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #13 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="261" bodyfile="mainpage/en_trigger_type.h" bodystart="261" column="1" file="mainpage/en_trigger_type.h" line="261" />
      </memberdef>
      <memberdef id="group__group__trigmux__red__out__enums_1gaf3ed071ff8197e6e73f0828b97bbf63e" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp14_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp14_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger reduction multiplexer group #14 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="266" bodyfile="mainpage/en_trigger_type.h" bodystart="266" column="1" file="mainpage/en_trigger_type.h" line="266" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1gac564d18f79609d84413c97b4c08855ba" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp0_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp0_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #0 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="279" bodyfile="mainpage/en_trigger_type.h" bodystart="279" column="1" file="mainpage/en_trigger_type.h" line="279" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1ga2d120575daee259c115a7e3107c79d3e" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp1_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp1_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #1 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="284" bodyfile="mainpage/en_trigger_type.h" bodystart="284" column="1" file="mainpage/en_trigger_type.h" line="284" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1gafe3a3731acefe819d8bcdcc233a1c463" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp2_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp2_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #2 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="289" bodyfile="mainpage/en_trigger_type.h" bodystart="289" column="1" file="mainpage/en_trigger_type.h" line="289" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1ga05ffee2a7a985a050276dcc5cb863b58" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp3_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp3_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #3 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="294" bodyfile="mainpage/en_trigger_type.h" bodystart="294" column="1" file="mainpage/en_trigger_type.h" line="294" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1ga52034f6453a3289a3368756d816df49e" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp4_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp4_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #4 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="299" bodyfile="mainpage/en_trigger_type.h" bodystart="299" column="1" file="mainpage/en_trigger_type.h" line="299" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1ga9ecd09bff2763f679c8cd2124ca2746a" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp5_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp5_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #5 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="304" bodyfile="mainpage/en_trigger_type.h" bodystart="304" column="1" file="mainpage/en_trigger_type.h" line="304" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1gad985e483032d7b9b455b577fb0ab805f" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp6_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp6_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #6 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="309" bodyfile="mainpage/en_trigger_type.h" bodystart="309" column="1" file="mainpage/en_trigger_type.h" line="309" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1ga11495f4fade1c46757d49400562dbdf9" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp7_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp7_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #7 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="314" bodyfile="mainpage/en_trigger_type.h" bodystart="314" column="1" file="mainpage/en_trigger_type.h" line="314" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__in__enums_1ga928983f42d1632b127a4c7afc4e2fa34" kind="enum" prot="public" static="no">
        <name>en_trig_input_grp8_t</name>
        <briefdescription>
<para><bold>en_trig_input_grp8_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #8 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="319" bodyfile="mainpage/en_trigger_type.h" bodystart="319" column="1" file="mainpage/en_trigger_type.h" line="319" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1gaf66f387e206f0b124cf70a1ad488f74e" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp0_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp0_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #0 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="332" bodyfile="mainpage/en_trigger_type.h" bodystart="332" column="1" file="mainpage/en_trigger_type.h" line="332" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1gab7c889a20c012f2627fe400050965893" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp1_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp1_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #1 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="337" bodyfile="mainpage/en_trigger_type.h" bodystart="337" column="1" file="mainpage/en_trigger_type.h" line="337" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1ga62caa23583a7e4d27323ffd6627c3fa6" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp2_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp2_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #2 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="342" bodyfile="mainpage/en_trigger_type.h" bodystart="342" column="1" file="mainpage/en_trigger_type.h" line="342" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1ga43fefb8996f6f7cc4f4fd5c3088937b6" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp3_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp3_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #3 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="347" bodyfile="mainpage/en_trigger_type.h" bodystart="347" column="1" file="mainpage/en_trigger_type.h" line="347" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1ga9923325733682e567c43e6827277d23b" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp4_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp4_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #4 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="352" bodyfile="mainpage/en_trigger_type.h" bodystart="352" column="1" file="mainpage/en_trigger_type.h" line="352" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1ga47d3a503d5b33273206582c213515815" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp5_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp5_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #5 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="357" bodyfile="mainpage/en_trigger_type.h" bodystart="357" column="1" file="mainpage/en_trigger_type.h" line="357" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1ga6237e4c9e39f52ee23a038faed145282" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp6_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp6_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #6 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="362" bodyfile="mainpage/en_trigger_type.h" bodystart="362" column="1" file="mainpage/en_trigger_type.h" line="362" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1gafff97bc06fd9f16588e0f5db18356a44" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp7_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp7_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #7 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="367" bodyfile="mainpage/en_trigger_type.h" bodystart="367" column="1" file="mainpage/en_trigger_type.h" line="367" />
      </memberdef>
      <memberdef id="group__group__trigmux__dst__out__enums_1ga713d69ae753cff8e6ec3c1ca5dc7a0db" kind="enum" prot="public" static="no">
        <name>en_trig_output_grp8_t</name>
        <briefdescription>
<para><bold>en_trig_output_grp8_t: </bold><linebreak />For PERI_ver1: the enumerated type that represents a trigger distribution multiplexer group #8 output signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="372" bodyfile="mainpage/en_trigger_type.h" bodystart="372" column="1" file="mainpage/en_trigger_type.h" line="372" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="preprocessor">#if<sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="2"><highlight class="normal" /></codeline>
<codeline lineno="3"><highlight class="normal">For<sp />PERI_ver2:<sp />the<sp />enumerated<sp />type<sp />that<sp />represents<sp />a<sp />trigger<sp />multiplexer<sp />group</highlight></codeline>
<codeline lineno="6"><highlight class="normal">For<sp />PERI_ver2:<sp />the<sp />enumerated<sp />type<sp />that<sp />represents<sp />a<sp />one-to-one<sp />trigger<sp />group</highlight></codeline>
<codeline lineno="9"><highlight class="normal">For<sp />PERI_ver1:<sp />the<sp />enumerated<sp />type<sp />that<sp />represents<sp />a<sp />trigger<sp />reduction<sp />multiplexer<sp />group</highlight></codeline>
<codeline lineno="12"><highlight class="normal">For<sp />PERI_ver1:<sp />the<sp />enumerated<sp />type<sp />that<sp />represents<sp />a<sp />trigger<sp />distribution<sp />multiplexer<sp />group</highlight></codeline>
<codeline lineno="15"><highlight class="normal">input<sp />signals,<sp />used<sp />by<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref><sp />and<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref><sp />functions.</highlight></codeline>
<codeline lineno="18"><highlight class="normal">output<sp />signals,<sp />used<sp />by<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>,<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref><sp />and<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref><sp />functions.</highlight></codeline>
<codeline lineno="21"><highlight class="normal">output<sp />signals,<sp />used<sp />by<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>/\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>,<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref><sp />and<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref><sp />functions.</highlight></codeline>
<codeline lineno="24"><highlight class="normal">output<sp />signals,<sp />used<sp />by<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref><sp />and<sp />\ref<sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref><sp />functions.</highlight></codeline>
<codeline lineno="27"><highlight class="normal">Refer<sp />to<sp />a<sp />family-specific<sp />device<sp />header<sp />file,<sp />e.g.<sp />\&lt;PDL_DIR\&gt;/devices/include/psoc6_01_config.h.</highlight></codeline>
<codeline lineno="30"><highlight class="normal">Refer<sp />to<sp />a<sp />family-specific<sp />device<sp />header<sp />file,<sp />e.g.<sp />\&lt;PDL_DIR\&gt;/devices/include/psoc6_02_config.h.</highlight></codeline>
<codeline lineno="32"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1ga076b057cb15c04d7b20449249e488fcd">en_trig_input_pdma0_tr_t</ref>;</highlight></codeline>
<codeline lineno="48"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1ga7b9a2e9eda044ba8cd52209130bff6ff">en_trig_input_pdma1_tr_t</ref>;</highlight></codeline>
<codeline lineno="53"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1gabf8123d781309a7647c9f1257b2db1ae">en_trig_input_tcpwm0_t</ref>;</highlight></codeline>
<codeline lineno="58"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1ga2bbc860297a9cc7991db9310803f0fd2">en_trig_input_tcpwm1_t</ref>;</highlight></codeline>
<codeline lineno="63"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1gac1e13ed93b66e791f6b9e99b8607a30d">en_trig_input_hsiom_t</ref>;</highlight></codeline>
<codeline lineno="68"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1ga0c1e803e9915bd8968fdbeb703737fa8">en_trig_input_cpuss_cti_t</ref>;</highlight></codeline>
<codeline lineno="73"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1gabad647cab89645447f6d218a15358325">en_trig_input_mdma_t</ref>;</highlight></codeline>
<codeline lineno="78"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1gaa3d74234542373120fef5e673dd518d8">en_trig_input_peri_freeze_t</ref>;</highlight></codeline>
<codeline lineno="83"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1ga8778ee28afa6c40678d17f9ed71aa2c7">en_trig_input_csd_t</ref>;</highlight></codeline>
<codeline lineno="88"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__in__enums_1ga8d9138c707fcf2bf6b481deccccbb4b3">en_trig_input_sar_adc_start_t</ref>;</highlight></codeline>
<codeline lineno="89"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1gaa5d986e829fa173a35e4db35af5d2d0c">en_trig_output_pdma0_tr_t</ref>;</highlight></codeline>
<codeline lineno="106"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1gab2ae3f7239f51084541d2c7b36741f8f">en_trig_output_pdma1_tr_t</ref>;</highlight></codeline>
<codeline lineno="111"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1gae053a6b0e446f2f40154db38ddb01f1d">en_trig_output_tcpwm0_t</ref>;</highlight></codeline>
<codeline lineno="116"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1ga67837680ecb10aaf8745b8c695df4214">en_trig_output_tcpwm1_t</ref>;</highlight></codeline>
<codeline lineno="121"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1gadaaa85478707dbd42cb9defa95e01af6">en_trig_output_hsiom_t</ref>;</highlight></codeline>
<codeline lineno="126"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1ga107f9ad6b5a6658b9c07cfa30369d0f6">en_trig_output_cpuss_cti_t</ref>;</highlight></codeline>
<codeline lineno="131"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1ga1d3b8f74ad52ef080e9c3d73e7785880">en_trig_output_mdma_t</ref>;</highlight></codeline>
<codeline lineno="136"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1ga2f3ab742ac985850d06d7e3cfbbb65c9">en_trig_output_peri_freeze_t</ref>;</highlight></codeline>
<codeline lineno="141"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1ga5abd57dc48b69643874ebd51ecd785ac">en_trig_output_csd_t</ref>;</highlight></codeline>
<codeline lineno="146"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__out__enums_1ga175baafc6d62359a3c71a3ed7efa4163">en_trig_output_sar_adc_start_t</ref>;</highlight></codeline>
<codeline lineno="147"><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__1to1__enums_1ga2e0ff30043e8220ba96ac8d73f831d43">en_trig_output_1to1_scb_pdma0_tr_t</ref>;</highlight></codeline>
<codeline lineno="165"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__1to1__enums_1ga423806c804d21aae3707d9227d8102d7">en_trig_output_1to1_scb_pdma1_tr_t</ref>;</highlight></codeline>
<codeline lineno="170"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__1to1__enums_1ga0e136a305cfbf0583b63e22694e0b8d6">en_trig_output_1to1_sar_to_pdma0_t</ref>;</highlight></codeline>
<codeline lineno="175"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__1to1__enums_1ga075c7d257be36f20ad981ecc71a36af1">en_trig_output_1to1_smif_to_pdma1_t</ref>;</highlight></codeline>
<codeline lineno="180"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__1to1__enums_1gac565f69720d567dceadcaf895906af63">en_trig_output_1to1_audioss_pdma1_tr_t</ref>;</highlight></codeline>
<codeline lineno="185"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__1to1__enums_1gafedba67588894f89216eb32762f4e080">en_trig_output_1to1_usb_pdma0_tr_t</ref>;</highlight></codeline>
<codeline lineno="190"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__1to1__enums_1ga22d54a24d570396f8387a4c7c086877f">en_trig_output_1to1_usb_pdma0_ack_tr_t</ref>;</highlight></codeline>
<codeline lineno="191"><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__in__enums_1ga12c31375190bc0514087329459a98c75">en_trig_input_grp9_t</ref>;</highlight></codeline>
<codeline lineno="208"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__in__enums_1ga986ffa0c3771f4d50a6dd56f08715e38">en_trig_input_grp10_t</ref>;</highlight></codeline>
<codeline lineno="213"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__in__enums_1ga4371dee9d2673a49cd958fa20d80ea57">en_trig_input_grp11_t</ref>;</highlight></codeline>
<codeline lineno="218"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__in__enums_1ga28f2e8d127108d1e6c0b28a3dbae8952">en_trig_input_grp12_t</ref>;</highlight></codeline>
<codeline lineno="223"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__in__enums_1ga6235aceb9decb5b4a876258fd493ca55">en_trig_input_grp13_t</ref>;</highlight></codeline>
<codeline lineno="228"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__in__enums_1ga94e34b021e546998b3652898e741d749">en_trig_input_grp14_t</ref>;</highlight></codeline>
<codeline lineno="229"><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__out__enums_1gadeadf10e4115dcbdbc126c4874b923f8">en_trig_output_grp9_t</ref>;</highlight></codeline>
<codeline lineno="246"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__out__enums_1ga47c65d0dba7e53d53ea15b427299cb71">en_trig_output_grp10_t</ref>;</highlight></codeline>
<codeline lineno="251"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__out__enums_1ga4575cc74a26d492459a7c64585d71e8d">en_trig_output_grp11_t</ref>;</highlight></codeline>
<codeline lineno="256"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__out__enums_1gae96bd57a382dfba4ef5a07eac09e548e">en_trig_output_grp12_t</ref>;</highlight></codeline>
<codeline lineno="261"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__out__enums_1gab62578d32fbe9b3db527cadb62fc7b83">en_trig_output_grp13_t</ref>;</highlight></codeline>
<codeline lineno="266"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__red__out__enums_1gaf3ed071ff8197e6e73f0828b97bbf63e">en_trig_output_grp14_t</ref>;</highlight></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1gac564d18f79609d84413c97b4c08855ba">en_trig_input_grp0_t</ref>;</highlight></codeline>
<codeline lineno="284"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1ga2d120575daee259c115a7e3107c79d3e">en_trig_input_grp1_t</ref>;</highlight></codeline>
<codeline lineno="289"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1gafe3a3731acefe819d8bcdcc233a1c463">en_trig_input_grp2_t</ref>;</highlight></codeline>
<codeline lineno="294"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1ga05ffee2a7a985a050276dcc5cb863b58">en_trig_input_grp3_t</ref>;</highlight></codeline>
<codeline lineno="299"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1ga52034f6453a3289a3368756d816df49e">en_trig_input_grp4_t</ref>;</highlight></codeline>
<codeline lineno="304"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1ga9ecd09bff2763f679c8cd2124ca2746a">en_trig_input_grp5_t</ref>;</highlight></codeline>
<codeline lineno="309"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1gad985e483032d7b9b455b577fb0ab805f">en_trig_input_grp6_t</ref>;</highlight></codeline>
<codeline lineno="314"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1ga11495f4fade1c46757d49400562dbdf9">en_trig_input_grp7_t</ref>;</highlight></codeline>
<codeline lineno="319"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__in__enums_1ga928983f42d1632b127a4c7afc4e2fa34">en_trig_input_grp8_t</ref>;</highlight></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="332"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1gaf66f387e206f0b124cf70a1ad488f74e">en_trig_output_grp0_t</ref>;</highlight></codeline>
<codeline lineno="337"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1gab7c889a20c012f2627fe400050965893">en_trig_output_grp1_t</ref>;</highlight></codeline>
<codeline lineno="342"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1ga62caa23583a7e4d27323ffd6627c3fa6">en_trig_output_grp2_t</ref>;</highlight></codeline>
<codeline lineno="347"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1ga43fefb8996f6f7cc4f4fd5c3088937b6">en_trig_output_grp3_t</ref>;</highlight></codeline>
<codeline lineno="352"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1ga9923325733682e567c43e6827277d23b">en_trig_output_grp4_t</ref>;</highlight></codeline>
<codeline lineno="357"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1ga47d3a503d5b33273206582c213515815">en_trig_output_grp5_t</ref>;</highlight></codeline>
<codeline lineno="362"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1ga6237e4c9e39f52ee23a038faed145282">en_trig_output_grp6_t</ref>;</highlight></codeline>
<codeline lineno="367"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1gafff97bc06fd9f16588e0f5db18356a44">en_trig_output_grp7_t</ref>;</highlight></codeline>
<codeline lineno="372"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__trigmux__dst__out__enums_1ga713d69ae753cff8e6ec3c1ca5dc7a0db">en_trig_output_grp8_t</ref>;</highlight></codeline>
<codeline lineno="373"><highlight class="normal" /></codeline>
<codeline lineno="376"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="mainpage/en_trigger_type.h" />
  </compounddef>
</doxygen>